[oi-dev] FW: broken deependencies

Igor Kozhukhov ikozhukhov at gmail.com
Sun Mar 4 11:58:00 UTC 2012


> Hello All,
> 
> I have built python-27, but I could't install it.
> ..........
> Plan Creation: dependency error(s) in proposed packages:
> 
>   No suitable version of required package
> pkg://openindiana.org/[email protected],5.11-0.133:20110912T
> 024345Z found:
>     Reject:  
> pkg://openindiana.org/[email protected],5.11-0.133:20110912T
> 024345Z
>     Reason:  A version for 'require' dependency on
> pkg:/release/copyright at 0.5.11,5.11-0.151.1 cannot be found
> ..........
> 
> I tried install pkg by hands:
> 
> # pkg install pkg://openindiana.org/SUNWdistro-license-copyright
> Creating Plan /  
> pkg install: No matching version of SUNWdistro-license-copyright can be
> installed:
>   Reject:  
> pkg://openindiana.org/[email protected],5.11-0.133:20110912T
> 024345Z
>   Reason:  A version for 'require' dependency on
> pkg:/release/copyright at 0.5.11,5.11-0.151.1 cannot be found
> 
> 
> List of publishers:
> 
> # pkg publisherPUBLISHER                             TYPE     STATUS   URI
> dilos.org                             origin   online
> file:///myshare/builds/dilos-userland/dilos-userland-review/i386/repo/
> oi-experimental          (non-sticky) origin   online
> http://pkg.openindiana.org/experimental/
> openindiana.org          (non-sticky) origin   online
> http://pkg.openindiana.org/dev-il/
> opensolaris.org          (non-sticky) origin   online
> http://pkg.openindiana.org/legacy/
> 
> 
> How to resolve problem with dependencies and install packages ?
> 
> ---
> Best regards,
> Igor Kozhukhov
> Skype# igor.kozhukhov | IRC# igork


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://openindiana.org/pipermail/oi-dev/attachments/20120304/b63e0e8c/attachment-0004.html>


More information about the oi-dev mailing list